#include "CalculatorModel.h"
#include <stdexcept>

using namespace Calculator::Model;

long CalculatorModel::Add(const long operand1, const long operand2) const
{
	return operand1+operand2;
}

long CalculatorModel::Subtract(const long operand1, const long operand2) const
{
	return operand1-operand2;
}

long CalculatorModel::Multiply(const long operand1, const long operand2) const
{
	return operand1*operand2;
}

long CalculatorModel::Divide(const long operand1, const long operand2) const
{
	if (operand2)
		return operand1/operand2;
	else
		throw std::invalid_argument("Divisor can't be zero.");
}