﻿#pragma once

#include <memory>
#include "CalculatorPresentationModel.h"

using namespace std;
using namespace Platform;
using namespace Calculator::View;

namespace Calculator
{
	namespace View
	{
		public ref class CalcView sealed
		{
		private:
			unique_ptr<CalculatorPresentationModel> presentationModel_;
			String^ get_display();
		public:
			CalcView();

			String^ number_click(int);
			String^ clear_click();
			String^ divide_click();
			String^ equal_click();
			String^ minus_click();
			String^ plus_click();
			String^ multiply_click();
		};
	}
}